USN-1036-1: CUPS update

6 January 2011

CUPS update

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 10.10

Summary

This update ensures the CUPS AppArmor profile is always loaded before CUPS starts.

Software Description

  • cups - Common UNIX Printing System™

Details

Under certain circumstances, CUPS could start before its AppArmor profile was loaded and therefore run unconfined. This update ensures the AppArmor profile is loaded before CUPS starts.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 10.10
cups - 1.4.4-6ubuntu2.3

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References